<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</head>
<body>
<script src="js/script.js">
    // let user = {
    //     name: "John",
    //     years: 30
    // };
    // let {name, years, isAdmin = false} = user;
    // console.log(`${name}, ${years}, ${isAdmin}`);
    //
    // let salaries = {
    //     "John": 100,
    //     "Pete": 300,
    //     "Mary": 250
    // };
    // function topSalary (obj) {
    //     let topSalaryName = ``;
    //     let valueTopSalary = 0;
    //         for (let [key, value] of Object.entries(obj)) {
    //             if (value > valueTopSalary) {
    //                 [topSalaryName, valueTopSalary] = [key, value];
    //             }
    //         }
    //     return topSalaryName;
    // }
    //
    // // **********************************
    // console.log(topSalary(salaries));
    // function makeCounter() {
    //     function counter() {
    //         return counter.count++;
    //     }
    //     counter.count = 0;
    //     counter.set = (value) => counter.count = value;
    //     counter.decrease = () => counter.count--;
    //     return counter;
    // }
    //
    // let counter = makeCounter();
    // console.log(counter());
    // counter.set(10);
    // console.log(counter.count);
    // counter.decrease();
    // counter.decrease();
    // console.log(counter.count);
    // console.log(counter.count);
    //
    // // *************************************
    //
    // function sum(a) {
    //
    //     let currentSum = a;
    //
    //     function f(b) {
    //         currentSum += b;
    //         return f;
    //     }
    //
    //     f.toString = function() {
    //         return currentSum;
    //     };
    //
    //     return f;
    // }
    //
    // // alert( sum(1)(2) ); // 3
    // // alert( sum(5)(-1)(2) ); // 6
    // // alert( sum(6)(-1)(-2)(-3) ); // 0
    // // alert( sum(0)(1)(2)(3)(4)(5) ); // 15
    //
    // // *****************************************
    // let y = 5;
    // let x = function(){
    //     return y;
    // };
    // let z = function(t){
    //     let y = 10;
    //     return t();
    // };
    // y = 25;
    // console.log(z(x));
    //
    // // *****************************************
    //
    //
    //
</script>
</body>
</html>